Package fr.gouv.vitam.common.storage.constants

# Enum Class ExtendedAttributes

java.lang.Object
java.lang.Enum<ExtendedAttributes>
fr.gouv.vitam.common.storage.constants.ExtendedAttributes

All Implemented Interfaces:
  `Serializable`, `Comparable<ExtendedAttributes>`, `Constable`

public enum ExtendedAttributes extends Enum<ExtendedAttributes>
Enumeration of ExtendedAttributes managed by the ContentAddressableStorage

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DIGEST`
  This metadata contains the digest of the file in the following format : DigestType:Digest_value

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getKey()`
  getter for attribute message
  `String`
  `toString()`
  `static ExtendedAttributes`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ExtendedAttributes[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DIGEST

    public static final ExtendedAttributes DIGEST
    This metadata contains the digest of the file in the following format : DigestType:Digest_value

- ## Method Details

  - ### values

    public static ExtendedAttributes[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ExtendedAttributes valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getKey

    public String getKey()
    getter for attribute message
    Returns:
      key

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<ExtendedAttributes>`